package com.ghy.payment.service;

import com.ghy.payment.domain.FinancialDetail;

import java.util.List;

/**
 * 财务细单接口
 *
 * @author HH 2022/4/25
 */
public interface FinancialDetailService {

    /**
     * @param financialDetail 财务细单属性
     * @return 成功条数
     */
    int insertFinancialDetail(FinancialDetail financialDetail);

    /**
     * @param financialDetail 财务细单属性
     * @return 成功条数
     */
    int updateFinancialDetail(FinancialDetail financialDetail);

    /**
     * @param financialDetail 财务细单入参
     * @return 财务细单集合
     */
    List<FinancialDetail> selectFinancialDetailList(FinancialDetail financialDetail);


    /**
     * @param financialDetailId 财务细单id
     * @return 财务细单
     */
    FinancialDetail selectById(Long financialDetailId);

    /**
     * @param ids 财务细单ids
     * @return 删除结果
     */
    int deleteFinancialDetailByIds(String ids);

    /**
     * 校验财务细单编码是否重复
     *
     * @param financialDetail 财务细单属性
     * @return 校验结果 1存在 0不存在
     */
    String checkFinancialDetailCodeUnique(FinancialDetail financialDetail);
}
